<template>
    <div>
        <table class="table table-bordered table-striped" id="workorder_tbl" >
            <thead>
            <tr>
                <th>Product Title</th>
                <th>Unit</th>
                <th> Ordered Qty </th>
                <th> Delivered Qty </th>
                <th> Remaining Qty </th>
                <th> Delivery Qty </th>
                <!--<th> Unit Price </th>-->
                <!--<th> Sub Total</th>-->

            </tr>
            </thead>
            <tbody>
            <tr v-for="(product,index) in products">
                <td>{{ product.title }} <input type="hidden" :name="'purchase_od[' + product.sale_id + '][type]'" :value="product.type" ></td>
                <td>{{ product.unit }}</td>
                <td>{{ product.total_qty }}</td>
                <td>{{ product.total_qty - product.rem_qty }}</td>
                <td>{{ product.rem_qty }}</td>
                <td><input type="number" :name="'purchase_od[' + product.sale_id + '][quantity]'"  v-model="products[index].quantity" class="form-control" v-if="product.rem_qty > 0" :max="product.rem_qty" v-on:keyup="calculateSubtotal(index)"></td>
                <!--<td>{{ product.unit_price }}</td>-->
                <!--<td>{{ product.unit_price * products[index].quantity}}</td>-->
            </tr>
            <!--<tr>-->
                <!--<td colspan="5">Grand Total</td>-->
                <!--<td>{{ total }}</td>-->
            <!--</tr>-->

            </tbody>
        </table>
    </div>
</template>

<script>

    export default {

        data: function() {

            return {
                products: [],
                total: 0,
            };
        },

        methods: {
            loadItems: function(id){

                if(!id){
                    this.products = [];
                    return;
                }

                console.log(id);

                var app =this;
                axios.get('/purchase-order/items/' + id)
                    .then(response => {
                        app.products = response.data.items;

                    })
                    .catch(e => {
                        this.errors.push(e)
                    });
            },
            calculateSubtotal: function(index){
                let t = this.products[index];
                let q = t.quantity;
                let p = t.unit_price;
                let delivered_amount = parseFloat(p) * parseInt(q);
                t.delivered_amount = delivered_amount;
                this.products.splice(index,1,t);
                this.grandTotal();
            },
            grandTotal: function () {

                this.total = 0;

                for (let i=0; i<this.products.length; i++){
                    this.total += parseFloat(this.products[i].unit_price * this.products[i].quantity);
                }

            }

        },
        created: function() {

        },
        mounted() {

        },


    };
</script>